Bug 1002666 - (CVE-2013-4292) CVE-2013-4292 libvirt: unbounded RPC arrays in remote protocol
CVE-2013-4292 libvirt: unbounded RPC arrays in remote protocol
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 1002667
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 13:05 EDT by Vincent Danen
Modified: 2015-10-15 13:59 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 13:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-08-29 13:05:43 EDT
It was reported [1] that the parameters for the virDomainMigrate*Params RPC calls were not bounds checked, which meant that a malicious client could cause libvirtd to consume arbitrary memory.  This issue was introduced in libvirt 1.1.0 and has been corrected in git.

[1] http://www.mail-archive.com/libvir-list@redhat.com/msg83332.html


Statement:

Not vulnerable. This issue did not affect the versions of libvirt as shipped with Red Hat Enterprise Linux 5 and 6 as they did not ship the vulnerable version.

Note You need to log in before you can comment on or make changes to this bug.